/*
*****************************************************************************
File:    S_API.H
Project: API Library
Purpose: API header file.
Company: Comtrol Corporation
Author:  Jerry Medin
*****************************************************************************
Copyright 1993 Comtrol Corporation. All rights reserved.
Subject to developers license agreement.
*****************************************************************************
*/


/*
*****************************************************************************
  Define the error codes that are returned from the API
*****************************************************************************
*/
#define ERRCHK_DEV            -1
#define ERRCHK_OPENTYPE       -2
#define ERRCHK_BAUDRATE       -3
#define ERRCHK_PARITY         -4
#define ERRCHK_DATAB          -5
#define ERRCHK_STOPB          -6
#define ERRCHK_FLOW           -7
#define ERRCHK_DETECT         -8
#define ERRCHK_MDMCTL         -9
#define ERRCHK_ALREADYOPEN   -10
#define ERRCHK_NOTOPEN       -11
#define ERRCHK_SYSQFULL      -12

/*
*****************************************************************************
  Function Prototypes for s_api.c
*****************************************************************************
*/


#if WINDAPI
int FAR PASCAL aaExit(void);
int FAR PASCAL aaInit(int,CF_T far *);
int  FAR PASCAL aaOpen(HWND, int,UWORD_T,UBYTE_T,UBYTE_T,UBYTE_T,UBYTE_T,UWORD_T,UWORD_T,UBYTE_T);
int  FAR PASCAL aaFlush(int, UBYTE_T);
int  FAR PASCAL aaClose(int,UBYTE_T);
int  FAR PASCAL aaWrite(int, int, char far *);
int  FAR PASCAL aaRead(int, int, char far *);
UBYTE_T FAR PASCAL aaGetModemStatus(int);
int  FAR PASCAL aaReconfigure(int,UBYTE_T,UBYTE_T,UBYTE_T,UBYTE_T,UWORD_T,UWORD_T);
int  FAR PASCAL aaChangeModemState(int, int, int);
int  FAR PASCAL aaLineNumToDev(int,int);
int  FAR PASCAL aaDevToLineNum(int);
int  FAR PASCAL aaDevToCtlIndex(int);
int  FAR PASCAL aaCheckOpenType(UWORD_T);
int  FAR PASCAL aaCheckBaudRate(UBYTE_T);
int  FAR PASCAL aaCheckParity(UBYTE_T);
int  FAR PASCAL aaCheckDataB(UBYTE_T);
int  FAR PASCAL aaCheckStopB(UBYTE_T);
int  FAR PASCAL aaPeekRx(int);
int  FAR PASCAL aaReadConfigFile(char far *,CF_T far *);
void FAR PASCAL aaEvSM16(int, void far *);
void FAR PASCAL aaEvSM17(int, void far *);
void FAR PASCAL aaEvSM18(int, void far *);
void FAR PASCAL aaEvIFGSample(int,unsigned int);
void FAR PASCAL aaEvIFG7(int,unsigned int);
UWORD_T  FAR PASCAL aaGetTxCount(int);
UWORD_T  FAR PASCAL aaGetRxCount(int);
int  FAR PASCAL aaSendBreak(int, WORD_T);
int  FAR PASCAL aaDownloadCP(int,char *,long,char);
int  FAR PASCAL aaInitControllers(CF_T *);
void FAR PASCAL aaBToken(char far *, char far *, int);
unsigned long aaBStrtol(char far *, int);
#else
int aaExit(void);
int aaInit(int,CF_T *);
int  aaOpen(int,UWORD_T,UBYTE_T,UBYTE_T,UBYTE_T,UBYTE_T,UWORD_T,UWORD_T,UBYTE_T);
int  aaFlush(int, UBYTE_T);
int  aaClose(int,UBYTE_T);
int  aaWrite(int, int, char far *);
int  aaRead(int, int, char far *);
UBYTE_T aaGetModemStatus(int);
int  aaReconfigure(int,UBYTE_T,UBYTE_T,UBYTE_T,UBYTE_T,UWORD_T,UWORD_T);
int  aaChangeModemState(int, int, int);
int  aaLineNumToDev(int,int);
int  aaDevToLineNum(int);
int  aaDevToCtlIndex(int);
int  aaCheckOpenType(UWORD_T);
int  aaCheckBaudRate(UBYTE_T);
int  aaCheckParity(UBYTE_T);
int  aaCheckDataB(UBYTE_T);
int  aaCheckStopB(UBYTE_T);
int  aaPeekRx(int);
int  aaReadConfigFile(char *,CF_T *);
void aaInstallBreakEvent(void (*)(int));
void aaInstallMdmChgEvent(void (*)(int,UBYTE_T,UBYTE_T));
void aaInstallRxErrorEvent(void (*)(int,UBYTE_T));
void aaInstallRxEvent(void (*)(int));
void aaBreakEventNull(int);
void aaMdmChgEventNull(int,UBYTE_T,UBYTE_T);
void aaRxErrorEventNull(int,UBYTE_T);
void aaRxEventNull(int);
void aaEvSM16(int, void far *);
void aaEvSM17(int, void far *);
void aaEvSM18(int, void far *);
void aaEvIFGSample(int,unsigned int);
void aaEvIFG7(int,unsigned int);
UWORD_T aaGetTxCount(int);
UWORD_T aaGetRxCount(int);
int aaSendBreak(int, WORD_T);
int aaDownloadCP(int,char *,long,char);
int aaInitControllers(CF_T *);
#endif
